=== debian/changelog ===
gnats (3.104-5) frozen unstable; urgency=low

  * Include /usr/lib/gnats in path instead of GNATS_ROOT/gnats-bin (Bug#21636)
  * Now depend on 'wish' instead of tk42 (Bug#21490)
  * Move tkgnats man page from /usr/share to /usr (Bug#21029)
  * Corrected gnats user setting (Bug#21030)

 -- Brian White <bcwhite@pobox.com>  Mon, 11 May 1998 19:42:06 -0400

gnats (3.104-4) frozen unstable; urgency=low

  * Fixed GNATS_ROOT problem with contributed scripts (Bug#19554, #19555, #19899)
  * Changed check-categories to abort in case of error (Bug#19898)
  * Fixed tkgnats search path to /usr/share/tkgnats (Bug#19968)
  * Fixed incorrect install of copyright file (Bug#20377)

 -- Brian White <bcwhite@pobox.com>  Sat, 11 Apr 1998 14:11:02 -0400

gnats (3.104-3) unstable; urgency=low

  * Fixed (hopefully) problem with delete-pr (Bug#18832)
  * Fixed spelling mistake in description (Bug#18915)
  * Fixed copyright files in gnats-tk (Bug#19317)
  * Added missing manpages (Bug#19317)

 -- Brian White <bcwhite@pobox.com>  Wed, 11 Mar 1998 13:25:17 -0500

gnats (3.104-2) unstable; urgency=low

  * Fixed problem link to uncompressed.7 (Bug#16163)
  * Fixed incorrect variable in check-db (Bug#16369)

 -- Brian White <bcwhite@pobox.com>  Thu, 19 Feb 1998 13:08:41 -0500

gnats (3.104-1) unstable; urgency=low

  * New upstream source
  * Have postinst call "adduser" if user password entry doesn't exist (Bug#8446)
  * Fixed problem with unset GNATS_ADDR (Bug#11348)

 -- Brian White <bcwhite@pobox.com>  Wed, 23 Jul 1997 14:01:51 -0400

gnats (3.101-2) frozen unstable; urgency=low

  * Added patch to fix problems calling new "at" (Bug#8801)
  * Added patch to fix nis dependancy (Bug#8799)
  * Changed debian/rules to determine PWD itself (Bug#8800)

 -- Brian White <bcwhite@pobox.com>  Fri, 25 Apr 1997 13:27:20 -0400

gnats (3.101-1) unstable; urgency=low

  * New upstream source
  * New packaging format
  * Changed gnats uid/gid to #41
  * Fixed permisions of gnats.conffiles (Bug#4661)
  * Fixed install of send-pr info file (Bug#3053)

 -- Brian White <bcwhite@pobox.com>  Mon, 27 Jan 1997 21:23:55 -0500

gnats (3.2-1) unstable; urgency=low

  * Added Debian GNU/Linux package maintenance system files
  * Fixes required a couple C prototypes
  * and a mod to the Makefile (.in) to properly find the install.sh program

 -- Brian White <bcwhite@pobox.com>  Mon, 18 Nov 1995 23:44:17 -0500


Local variables:
mode: debian-changelog
End:
