=== debian/control ===
Source: gnats
Section: devel
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 2.1.3.2

Package: gnats
Architecture: any
Depends: mail-transport-agent, ${shlibs:Depends}
Conflicts: gnats-user
Suggests: emacs
Description: The GNU problem report management system (central database)
 GNATS is a bug-tracking tool designed for use at a central "Support
 Site".  Users who experience problems use electronic mail to
 communicate these problems to "maintainers" at that Support Site.
 .
 GNATS offers many of the same features offered by more generalized
 databases, including editing, querying, and basic reporting.  You can
 access the submitting, editing, and querying functions of GNATS
 through provided utilities or from within GNU Emacs.
 .
 The "gnats" package has the full installation for the central database
 server.  For client systems, use the "gnats-user" package which has just
 the user tools.

Package: gnats-user
Architecture: any
Depends: mail-transport-agent, ${shlibs:Depends}
Conflicts: gnats
Suggests: emacs
Description: The GNU problem report management system (client tools)
 GNATS is a bug-tracking tool designed for use at a central "Support
 Site".  Users who experience problems use electronic mail to
 communicate these problems to "maintainers" at that Support Site.
 .
 GNATS offers many of the same features offered by more generalized
 databases, including editing, querying, and basic reporting.  You can
 access the submitting, editing, and querying functions of GNATS
 through provided utilities or from within GNU Emacs.
 .
 The "gnats-user" package has just the user tools for client machines.
 For the full installation and the central database server use the
 "gnats" package.
 .
 If you prefer not to use either an nfs-mounted database or the client/server
 model, it is possible to make a distribution that works entirely over e-mail.
 For more information, see gnats-info and type 'g' (for goto) followed by
 'mkdist'.  This package is not necessary for email-only setups.

Package: gnats-tk
Architecture: all
Depends: gnats | gnats-user, wish
Description: Tk interface to the GNU problem report management system
 Gnats-Tk is a set of Tk based front ends for the GNATS bug management
 system.
