=== debian/changelog ===
gnats (3.999.beta1+cvs20020303-2) stable-security; urgency=high

  * CAN-2004-0623: Fix format string vulnerability in misc.c
    (Related BTS: #278577) Report and patch by Joey Hess.
  * Added special detection routine for big/little endianess on MIPS since
    the line "byteorder : {big|little} endian" from /proc/cpuinfo was
    removed as of Linux 2.4.20, resulting in the mipsel buildd being
    unable to build this package.

 -- Martin Schulze <joey@infodrom.org>  Thu,  4 Nov 2004 12:15:12 +0100

gnats (3.999.beta1+cvs20020303-1) unstable; urgency=low

  * New CVS snapshot; closes: #133268, #136176.
  * gnats: Uninstall Emacs files in prerm, not postrm.
  * Remove the *.elc directory in emacsen-remove; closes: #132535.
  * exim.conf location updated.

 -- Milan Zamazal <pdm@debian.org>  Sat,  2 Mar 2002 21:59:14 +0100

gnats (3.999.beta1-1) unstable; urgency=low

  * New upstream version (wow!).

 -- Milan Zamazal <pdm@debian.org>  Sat,  5 Jan 2002 22:08:58 +0100

gnats (3.999.20011223-2) unstable; urgency=low

  * Restore gnats-queue if it gets deleted during the upgrade.

 -- Milan Zamazal <pdm@debian.org>  Sun, 23 Dec 2001 21:56:52 +0100

gnats (3.999.20011223-1) unstable; urgency=low

  * New CVS snapshot; closes: #123205.
  * README.Gnatsweb and Gnatsweb related build targets removed.
  * Don't suggest gnats2w, which is almost orphaned now.
  * Add the `gnats -> root' mail alias; closes: #118237.
  * Home directory changed to /var/lib/gnats.
  * Most /etc/passwd issues are handled automatically now.
  * "Unimportant" debconf messages removed.
  * gnats-dbconfig-mode added to the Emacs startup file.
  * Don't install the /var/lib/gnats/gnats-db directory.
  * Create `default' instead of `standard' link in /etc/gnats/db-config.
  * Create the `default' database if needed.
  * Call dh_installdocs in binary-server and binary-user.
  * Call dh_installdeb in binary-user.
  * Use dh_builddeb.
  * Let all the files in /etc/ are conffiles.
  * DH_COMPAT set to 3.
  * No lintian 1.20.17 errors.

 -- Milan Zamazal <pdm@debian.org>  Sun, 23 Dec 2001 20:42:14 +0100

gnats (3.999.20011112-1) unstable; urgency=low

  * New CVS snapshot; closes: #116652.
  * Don't build-depend on emacs.

 -- Milan Zamazal <pdm@debian.org>  Mon, 12 Nov 2001 18:40:54 +0100

gnats (3.999.20010906-1) unstable; urgency=low

  * New CVS snapshot; closes: #111162.
  * One missing sendmail option added; really closes: #111037.
  * sendmail's location changed to /usr/sbin.
  * Don't use the no longer present --with-full-gnats configure option;
    use *-tools targets for gnats-user.

 -- Milan Zamazal <pdm@debian.org>  Thu,  6 Sep 2001 20:34:32 +0200

gnats (3.999.20010904-1) unstable; urgency=low

  * New CVS snapshot.
  * Set sendmail's location unconditionally so that the package doesn't
    build-depend on a mail-transport-agent; closes: #111037.
  * Don't invoke configure for subdirectories, it's no longer needed.

 -- Milan Zamazal <pdm@debian.org>  Tue,  4 Sep 2001 16:51:36 +0200

gnats (3.999.20010829-1) unstable; urgency=low

  * New CVS snapshot; closes: #110068.
  * Standards 3.5.6 (no change).
  * The obsolete code in `rules' using /tmp commented out; closes: #109440.
  * Build on Alpha again (if the porters have got their Alphas running, I
    might find out what's wrong with the compilation there).
  * No lintian 1.20.14 errors.

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Aug 2001 21:37:12 +0200

gnats (3.999.20010729-1) unstable; urgency=low

  * New CVS snapshot.
  * Use `ln -sf' in installation scripts to rewrite dangling symlinks;
    closes: #99632.
  * Update documentation handling caused by the source tree
    reorganization.
  * Call check-db in cron with `--all-databases'.
  * Site name guessing improved and asks the user now; closes: #78181.
  * Standards 3.5.5.
  * No lintian 1.20.13 errors.
  * Don't build with -Werror on alpha; closes: #99283.
    (I'm very annoyed by doing this, it "fixes" a bug just by ignoring it,
    but I don't have a reliable access to any Alpha machine and I don't
    know a better way how to push the package to testing in a reasonable
    way.)
  * Since the previous "fix" won't work until the top-level GNATS
    configure stuff is reworked, don't build on alpha at all (due to
    deficiences in the Architecture field syntax, this prevents building
    on newly introduced architectures as well).
  * Home page location in description changed.
  * Typo in the item type of a debconf template fixed; closes: #106322.
  * Create `locks' subdirectory in the default database; closes: #104195.

 -- Milan Zamazal <pdm@debian.org>  Sun, 29 Jul 2001 14:14:03 +0200

gnats (3.999.20010617-1) unstable; urgency=low

  * New CVS snapshot; closes: #98833.
  * Add configuration files to the standard database if necessary;
    closes: #99644.
  * The site name configuration code removed.
  
 -- Milan Zamazal <pdm@debian.org>  Sun, 17 Jun 2001 21:06:32 +0200

gnats (3.999.20010527-1) unstable; urgency=low

  * New CVS snapshot.
  * Emacs local variables removed from this file.
  * The DEFAULTSDIR hack removed.
  * Ensure cron jobs exit with the code 0.
  * The Debian files explicitly put in public domain.

 -- Milan Zamazal <pdm@debian.org>  Sun, 27 May 2001 14:21:40 +0200

gnats (3.999.20010225-2) unstable; urgency=low

  * Man page linking moved after dh_compress; closes: #90004, #90007.
  * Lintian override file added.

 -- Milan Zamazal <pdm@debian.org>  Mon, 19 Mar 2001 18:21:57 +0100

gnats (3.999.20010225-1) unstable; urgency=low

  * Priority changed to `extra'.
  * Moved to standards 3.5.0.
  * The `-g' compilation flag made optional, w.r.t. DEB_BUILD_OPTIONS.
  * gnats-user: Links to undocumented man pages removed.
  * Permissions of control files fixed.
  * `exim' prepended to the dependencies on `mail-transport-agent'.
  * Link unavailable man pages to gnats.7.
  * gnatsweb entry removed from `control'; closes: #89044.
  * No lintian 1.20.6 errors.


