=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gnats
 Section: devel
-Priority: optional
-Maintainer: Brian White <bcwhite@pobox.com>
-Standards-Version: 2.1.3.2
+Priority: extra
+Maintainer: Milan Zamazal <pdm@debian.org>
+Build-Depends: debhelper (>> 3.0.0), m4, texinfo, texi2html, bison, flex
+Standards-Version: 3.5.6
 
 Package: gnats
 Architecture: any
-Depends: mail-transport-agent, ${shlibs:Depends}
+Depends: exim | mail-transport-agent, debianutils (>= 1.6), debconf, ${shlibs:Depends}
 Conflicts: gnats-user
-Suggests: emacs
+Suggests: emacsen, gnats-tk, gnatsweb
 Description: The GNU problem report management system (central database)
  GNATS is a bug-tracking tool designed for use at a central "Support
  Site".  Users who experience problems use electronic mail to
@@ -22,12 +23,14 @@
  The "gnats" package has the full installation for the central database
  server.  For client systems, use the "gnats-user" package which has just
  the user tools.
+ .
+ Homepage: http://www.gnu.org/software/gnats
 
 Package: gnats-user
 Architecture: any
-Depends: mail-transport-agent, ${shlibs:Depends}
+Depends: exim | mail-transport-agent, debianutils (>= 1.6), debconf, ${shlibs:Depends}
 Conflicts: gnats
-Suggests: emacs
+Suggests: emacsen, gnatsweb
 Description: The GNU problem report management system (client tools)
  GNATS is a bug-tracking tool designed for use at a central "Support
  Site".  Users who experience problems use electronic mail to
@@ -46,10 +49,5 @@
  model, it is possible to make a distribution that works entirely over e-mail.
  For more information, see gnats-info and type 'g' (for goto) followed by
  'mkdist'.  This package is not necessary for email-only setups.
-
-Package: gnats-tk
-Architecture: all
-Depends: gnats | gnats-user, wish
-Description: Tk interface to the GNU problem report management system
- Gnats-Tk is a set of Tk based front ends for the GNATS bug management
- system.
+ .
+ Homepage: http://www.gnu.org/software/gnats
